;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux bigloo-ude package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The bigloo-ude package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude") load-path))
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude/ude") load-path))
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude/bug") load-path))
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude/bee") load-path))
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude/cee") load-path))
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude/lee") load-path))
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
			      "/site-lisp/bigloo-ude/dbg") load-path))


;; The following lines come from the bmacs/README file in the
;; bigloo distribution

(autoload 'ude-compile "ude-compile" "" t)
(autoload 'bee-mode "bee-mode" "bee mode" t)

(autoload 'cee-hook "cee-hook" "cee mode hooking" t)
(add-hook 'c-mode-common-hook (function cee-hook))
(add-hook 'c-mode-hook (function cee-hook))
;; (autoload 'cee-indent-hook "cee-indent" "Cee indent configuration" t)
;; (add-hook 'cee-hook (function cee-indent-hook))
;; (autoload 'cee-font-lock-init "cee-flock" "cee mode hooking" t)
;; (add-hook 'c-mode-hook (function cee-font-lock-init))

(autoload 'lee-hook "lee-hook" "lee mode hooking" t)
(add-hook 'lisp-mode-hook (function lee-hook))
;; (autoload 'lee-font-lock-init "lee-flock" "lee mode hooking" t)
;; (add-hook 'lisp-mode-hook (function lee-font-lock-init))

(setq auto-mode-alist
      (cons '("\\.\\(?:scm\\|sch\\|scme\\|bee\\|ast\\)$" . bee-mode)
	    auto-mode-alist))
